﻿Fluke                                                       MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub TDS600C (1 yr) Probe Comp IEEE /9100
DATE:                  2009-10-29 18:40:15
AUTHOR:                Fluke
REVISION:              $Revision: 2619 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       3
NUMBER OF LINES:       172
CONFIGURATION:         Datron 9100
=============================================================================
#
#  Procedure Author:
#        DFM, DAC, VY
#
#  Model(s) Covered:
#        TDS 600C
#          TDS 654C
#
#  Compatibility:
#        MET/CAL 7.20 SP1 (7.20x) or later
#
#  Subprocedures:
#        Sub TDS500/600/700 Select Channel IEEE
#        Sub TDS500/600/700 Channel Name
#        Sub TDS500/600/700 Check Trig Status IEEE
#
#  Required Files:
#        tdsprobe.jpg      Picture: Probe compensation Test
#        91_2w_1.jpg       Picture: DC Volts Connection - Channel 1
#
#  Additional Equipment Required:
#        None
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  RSLT         =
  1.002  HEAD         {PROBE COMPENSATION SIGNAL TEST}
  1.003  TARGET
  1.004  MATH         @Chan = 1
  1.005  CALL         Sub TDS500/600/700 Select Channel IEEE
  1.006  IEEE2        BELL[D500]BELL[D500]BELL[D500]BELL[D500]BELL
  1.007  PIC          tdsprobe.jpg
  1.008  MATH         VerticalScale = 100E-3
  1.009  IEEE2        CH[V @Chan]:SCA [V VerticalScale]
  1.010  IEEE2        CH[V @Chan]:POS -2.5;IMP MEG
  1.011  IEEE2        HOR:SCA 200E-6
  1.012  IEEE2        TRIG:MAI:MOD AUTO
  1.012  IEEE2        TRIG:MAI SETL
  1.013  WAIT         [D1000]
  1.014  IEEE2        ACQ:MODE AVE;NUMAV 128
  1.015  WAIT         [D1000]
  1.016  IEEE2        MEASU:METH MINM
# Get the high and low value of waveform, accurate shift the waveform to the
# center of the screen before saving it.
  1.017  IEEE2        MEASU:MEAS1:SOU CH[V @Chan];TYPE HIGH;STATE ON
  1.018  WAIT         [D1000]
  1.019  IEEE2        MEASU:MEAS1:VAL?[I]
  1.020  MATH         High = MEM / 1E-3

  1.021  IEEE2        MEASU:MEAS1:SOU CH[V @Chan];TYPE LOW;STATE ON
  1.022  WAIT         [D1000]
  1.023  IEEE2        MEASU:MEAS1:VAL?[I]
  1.024  MATH         Low = MEM / 1E-3

# Calculate the shift value of centering the waveform on the screen based
# the vertical division.
  1.025  MATH         L[1] = -1 * (High - Low) / 2 / (VerticalScale / 1E-3)
  1.026  IEEE2        CH[V @Chan]:POS [L1]
  1.027  WAIT         [D1000]
  1.028  IEEE2        SAVE:WAVE CH[V @Chan],REF1
  1.029  IEEE2        MEASU:MEAS1:STATE OFF
  1.030  IEEE2        BELL[D500]BELL[D500]BELL[D500]BELL[D500]BELL
  1.031  PIC          91_2w_1.jpg
  1.032  DISP         The next routine operator intervention occurs
  1.032  DISP         in approximately 1 minutes ...
  1.033  IEEE2        ACQ:MODE AVE;NUMAV 16
  1.034  IEEE2        SELECT:REF1 ON
# Get the 100% referenced measurement of saved probe compensation signal.
  1.035  IEEE2        MEASU:MEAS1:SOU REF1;TYPE HIGH;STATE ON
  1.036  WAIT         [D1000]
  1.037  IEEE2        MEASU:MEAS1:VAL?[I]
  1.038  MATH         MEM = MEM / 1E-3

  1.039  IEEE2        MEASU:MEAS2:SOU CH[V @Chan];TYPE HIGH;STATE ON
# Set the output of the calibrator so the measurement is close to overlap
# the top (upper) level of saved waveform.
  1.040  MATH         Ref = MEM; MEM1 = MEM

  1.041  DO
  1.042  MATH         MEM = MEM1 + (Ref - MEM) / 2
# Set the output limit trap in order to avoid calculated output exceed the
# display scale of screen too much and resulted query error because of
# unstable reading.
  1.043  MATH         Trap = 6 * VerticalScale / 1E-3

  1.044  IF           MEM > Trap || MEM < (-1 * Trap)
  1.045  MATH         MEM = Ref
  1.046  ENDIF

  1.047  9100         mV                                                S  2W
  1.048  WAIT         [D2000]
  1.049  IEEE2        MEASU:MEAS2:VAL?[I]
  1.050  MATH         MEM = MEM / 1E-3
  1.051  UNTIL        MEM >= (Ref - 1) && MEM <= (Ref + 1)

# Last calibrator amplitude setting is in MEM1.
  1.052  MATH         AmpHigh = MEM1

# Get the 0% referenced measurement of saved probe compensation signal.
  1.053  IEEE2        MEASU:MEAS1:SOU REF1;TYPE LOW;STATE ON
  1.054  WAIT         [D1500]
  1.055  IEEE2        MEASU:MEAS1:VAL?[I]
  1.056  MATH         MEM = MEM / 1E-3

  1.057  9100         *                                                 S

  1.058  IEEE2        MEASU:MEAS2:SOU CH[V @Chan];TYPE LOW;STATE ON
# Set the output of the calibrator so the measurement is close to overlap
# the base (below) level of saved waveform.
  1.059  MATH         Ref = MEM; MEM1 = MEM; Times = 0

  1.060  DO
  1.061  MATH         MEM = MEM1 + (Ref - MEM) / 2
  1.062  9100         mV                                                S  2W
  1.063  WAIT         [D2000]
  1.064  IEEE2        MEASU:MEAS2:VAL?[I]
  1.065  MATH         MEM = MEM / 1E-3
  1.066  MATH         Times = Times + 1
  1.067  UNTIL        MEM >= (Ref - 0.1) && MEM <= (Ref + 0.1) || Times > 10

# Last calibrator amplitude setting is in MEM1.
  1.068  MATH         AmpLow = MEM1

  1.069  MATH         MEM = AmpHigh - AmpLow
# Set significant digit of reading
  1.070  MATH         MEM = FRND(MEM, 4)
  1.071  MATH         Result = FMT(MEM, "%.1f")
  1.072  MEM2         = Limit: 495.0 <= AMPL <= 505.0 mV
  1.073  MEM2         =[MEM2], Result: [V Result] mV
  1.074  EVAL   -e MEM >= 495.0 && MEM <= 505.0 : [MEM2]

  2.001  9100         *                                                 S

  2.002  IEEE2        ACQ:MODE AVE;NUMAV 128
  2.003  IEEE2        MEASU:MEAS1:SOU REF1;TYPE FREQ;STATE ON
  2.004  WAIT         [D1000]
  2.005  IEEE2        MEASU:MEAS1:VAL?[I]
  2.006  MATH         MEM = MEM / 1E+3
  2.007  MATH         Result = FMT(MEM, "%.3f")
  2.008  MEM2         = Limit: 0.950 <= Freq <= 1.050 kHz
  2.009  MEM2         =[MEM2], Result: [V Result] kHz
  2.010  EVAL   -e MEM >= 0.950 && MEM <= 1.050 : [MEM2]

  3.001  END
